You are not logged in.

#1 2008-07-02 15:12:47

Stalafin
Member
From: Berlin, Germany
Registered: 2007-10-26
Posts: 616

Installing Xmobar for Xmonad - Haskell complains for missing packages

I am trying to set up Xmonad, and for that one Xmobar (from AUR).

Xmobar gave me a bunch of dependencies, which I had to install. Particularly those were 'haskell-mlt' and 'haskell-xft'. In the AUR I found the info that 'haskell-x11-xft' was taking care of haskell-xft, so I went for the new PKGBUILD.

Unfortunately there seems to be missing a package:

[ ~/pkgbuilds/aur/haskell-x11-xft ] makepkg -c
==> Making package: haskell-x11-xft 0.3-1  (Wed Jul  2 15:33:27 CEST 2008)
==> Checking Runtime Dependencies...
==> Checking Buildtime Dependencies...
==> Retrieving Sources...
  -> Found X11-xft-0.3.tar.gz in build dir
==> Validating source files with md5sums...
    X11-xft-0.3.tar.gz ... Passed
==> Extracting Sources...
  -> bsdtar -x -f X11-xft-0.3.tar.gz
==> Removing existing pkg/ directory...
==> Entering fakeroot environment...
==> Starting build()...
Configuring X11-xft-0.3...
Setup: At least the following dependencies are missing:
    X11 >=1.2.1
==> ERROR: Build Failed.
    Aborting...

I thought it would help to install 'haskell-x11' (from the repos this time, but I got this):

[ ~/pkgbuilds/aur/haskell-x11-xft ] sudo pacman -S haskell-x11
Password: 
warning: haskell-x11-1.4.2-1 is up to date -- reinstalling
resolving dependencies...
looking for inter-conflicts...

Targets: haskell-x11-1.4.2-1  

Total Download Size:    0.00 MB
Total Installed Size:   3.61 MB

Proceed with installation? [Y/n] 
checking package integrity...
(1/1) checking for file conflicts                   [#########################################] 100%
ghc-pkg: cannot find package X11-1.4.2
(1/1) upgrading haskell-x11                         [#########################################] 100%
Reading package info from stdin ... done.
Saving old package config file... done.
Writing new package config file... done.

Notice the line where it complains for a missing X11-1.4.2.


So what am I supposed to do now? I searched the forums (and Google), and didn't find anything concerning this issue.

Offline

#2 2008-07-02 16:51:13

Mr.Elendig
#archlinux@freenode channel op
From: The intertubes
Registered: 2004-11-07
Posts: 3,762

Re: Installing Xmobar for Xmonad - Haskell complains for missing packages

Here is the relevant pkg's that I got installed:

xmobar-darcs 20080615-1
haskell-mtl 1.1.0.0-2
haskell-utf8-string 0.3-1
haskell-x11 1.4.2-1
haskell-xft 0.2-2
xmonad 0.7-1

Evil #archlinux@freenode channel op and general support dude.
. files on github, Screenshots, Random pics and the rest

Offline

#3 2008-10-25 20:14:47

axion419
Member
Registered: 2007-04-12
Posts: 185

Re: Installing Xmobar for Xmonad - Haskell complains for missing packages

same problem here, I just reinstalled from a working xmonad/xmobar that I installed using yaourt.. so i dont know what has changed.

Configuring X11-xft-0.3...
Setup: At least the following dependencies are missing:
X11 >=1.2.1
==> ERROR: Build Failed.
    Aborting...
Error: Makepkg was unable to build haskell-x11-xft package.
[justin@myhost ~]$ pacman -Qs xmonad
local/xmonad 0.8-1
    A lightweight X11 tiled window manager written in Haskell
local/xmonad-contrib 0.8-1
    Add-ons for xmonad
[justin@myhost ~]$
[justin@myhost ~]$ pacman -Qs haskel
local/ghc 6.10.1rc1-1
    A state-of-the-art, open source, compiler and interactive environment for Haskell.
local/haskell-cabal 1.6.0.1-2
    A framework for packaging Haskell software
local/haskell-utf8-string 0.3.1.1-2
    Support for reading and writing UTF8 Strings
local/haskell-x11 1.4.2-1.2
    A Haskell binding to the X11 graphics library.
local/xmonad 0.8-1
    A lightweight X11 tiled window manager written in Haskell
[justin@myhost ~]$
local/xorg-server 1.5.2-3 (xorg)
    X.Org X servers
local/xorg-server-utils

Last edited by axion419 (2008-10-25 20:15:55)

Offline

#4 2008-10-25 20:44:24

thayer
Fellow
From: Vancouver, BC
Registered: 2007-05-20
Posts: 1,560
Website

Re: Installing Xmobar for Xmonad - Haskell complains for missing packages

You're using the new ghc in testing.  The current Xmonad will not build with this version.

Last edited by thayer (2008-10-25 20:44:57)


thayer williams ~ cinderwick.ca

Offline

#5 2008-10-26 16:18:53

axion419
Member
Registered: 2007-04-12
Posts: 185

Re: Installing Xmobar for Xmonad - Haskell complains for missing packages

thanks, So I imagine its just a matter of waiting it out, or I can downgrade the ghc . either way, thanks, good to have an answer.

Offline

#6 2008-10-26 20:04:04

vogt
Member
From: Toronto, Canada
Registered: 2006-11-25
Posts: 389

Re: Installing Xmobar for Xmonad - Haskell complains for missing packages

thayer wrote:

You're using the new ghc in testing.  The current Xmonad will not build with this version.

Hmm, I got it running (darcs xmonad that is) with ghc6.10rc1, no problems except that the contrib XMonad.Prompt modules cause a lockup.

@Stalafin: if you look at the hsmod.install file for that library, the output makes more sense:

ghc-pkg: cannot find package X11-1.4.2
(1/1) upgrading haskell-x11                         [#########################################] 100%
Reading package info from stdin ... done.
Saving old package config file... done.
Writing new package config file... done.

Upon upgrading the library, pacman asks ghc to unregister haskell-x11, but since the package config file where all libraries are registered got replaced when you upgraded ghc, it clearly cannot unregister a library of which it doesn't know.

Rebuilding all of xmonad's dependencies basically necessary to get it to run on ghc6.10. Xmonad Contrib needs a couple minor changes that might be in the darcs version. It might also work if you reregistered your existing libraries with something like the untested:

for x in /usr/share/haskell/*; do; $x/register.sh --force; done

Additionally, I used a more recent ghc6.10 build, though the release candidate in [testing] might have the dependency resolver additions discussed in this thread: http://www.nabble.com/planning-for-ghc- … 71117.html

But that is all probably too much work, so just stick with ghc6.8.2 smile

Offline

#7 2008-10-28 13:06:14

jim.stuttard
Member
Registered: 2008-08-04
Posts: 2

Re: Installing Xmobar for Xmonad - Haskell complains for missing packages

I've started to get missing dependencies with archlinux haskell pkgs using ghc 6.8.2.
makepkg  haskell-yampa won't find haskell-cabal which I've just installed.

Offline

#8 2008-10-28 14:59:38

jim.stuttard
Member
Registered: 2008-08-04
Posts: 2

Re: Installing Xmobar for Xmonad - Haskell complains for missing packages

1. oops, must be the second time this month I've forgotten to pacman -U so I've learned something.

2. Vogt : There's a "do;" in the script.

Apologies

Jim

Offline

#9 2009-04-09 12:43:23

Mr.Elendig
#archlinux@freenode channel op
From: The intertubes
Registered: 2004-11-07
Posts: 3,762

Re: Installing Xmobar for Xmonad - Haskell complains for missing packages

After you update ghc, you have to run the register script for all the haskell packages you have on your system.


Evil #archlinux@freenode channel op and general support dude.
. files on github, Screenshots, Random pics and the rest

Offline

Board footer

Powered by FluxBB